/*! *****************************************************************************
Copyright (c) JDJR Corporation. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License"); you may not use
this file except in compliance with the License. You may obtain a copy of the
License at http://www.apache.org/licenses/LICENSE-2.0
Author: kemao 2018-11-29 19:34:38

THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
MERCHANTABLITY OR NON-INFRINGEMENT.

See the Apache Version 2.0 License for specific language governing permissions
and limitations under the License.
***************************************************************************** */
import { Controller } from "../Controller";
import { LarkResponse } from "../LarkResponse";
import { IHTMLLinkElement, IHTMLMetaElement } from "./PageController/PageControllerDto";
export declare class ReactPageController extends Controller {
    title: string;
    script: string[];
    style: string[];
    inlineStyle: string[];
    headScript: string[];
    meta: IHTMLMetaElement[];
    link: IHTMLLinkElement[];
    addStyle(url: string, remote?: boolean): this;
    /**
     * 设置当前uri的标题
     * @param title 标题
     */
    setTitle(title: string): void;
    addInlineStyle(style: string | {
        _getCss: () => string;
    }): void;
    addLink(link: IHTMLLinkElement): this;
    addMeta(meta: IHTMLMetaElement): this;
    addHeadScript(script: string): void;
    viewport(): void;
    addScript(href: string, remote?: boolean): this;
    render(Component: any, componentProps?: any): Promise<LarkResponse>;
}
